Skip to content

VPS

All operations require authentication.

88 operationsv1/vps · /vps/{serviceName}
Agent setup

List available servicesProduction

GET
/1.0/vps

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/vps \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get this object propertiesProduction

GET
/1.0/vps/{serviceName}

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200VPSWithIAMsuccessful operation
cluster
read-only
string
—
displayName
string

Set the name displayed in ManagerV6 for your VPS (max 50 chars)

iam
read-only
ResourceMetadata

IAM resource metadata

keymap
VpsKeymapEnum

Set KVM keyboard layout on VPS Cloud. Reboot your VPS after change

Valuesfrus
lockStatus
read-only
LockStatus

Lock status of the VPS

memoryLimit
read-only
integer
—
model
read-only
Model

A structure describing characteristics of a VPS model

monitoringIpBlocks
read-only
ipBlock[]

Ip blocks for OVH monitoring servers

name
read-only
string
—
netbootMode
VpsNetbootEnum

All values a VPS netboot mode can be in

Valuesdistantlocalrescue
offerType
read-only
VpsOfferEnum

All offers a VPS can have

Valuesbeta-classicclassiccloudcloudramgame-classiclowlatssd
slaMonitoring
boolean
—
state
read-only
VpsStateEnum

All states a VPS can be in

Valuesbackupinginstallingmaintenancerebootingrescuedrunningstoppedstoppingupgrading
vcore
read-only
integer
—
zone
read-only
string
—
zoneType
read-only
ZoneTypeEnum

Zone type

Valueslocalzoneregion

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "cluster": "string", "displayName": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "keymap": "fr", "lockStatus": { "locked": true, "reason": "abuse" }, "memoryLimit": 0, "model": { "availableOptions": [ "additionalDisk" ], "datacenter": [ "string" ], "disk": 0, "diskLocationType": "distant", "maximumAdditionnalIp": 0, "memory": 0, "name": "string", "offer": "string", "vcore": 0, "version": "2013v1" }, "monitoringIpBlocks": [ "192.0.2.0/24" ], "name": "string", "netbootMode": "distant", "offerType": "beta-classic", "slaMonitoring": true, "state": "backuping", "vcore": 0, "zone": "string", "zoneType": "localzone"}

Alter this object propertiesProduction

PUT
/1.0/vps/{serviceName}

Path parameters

serviceName
required
string

The internal name of your VPS offer

Request body (required)

cluster
read-only
string
—
displayName
string

Set the name displayed in ManagerV6 for your VPS (max 50 chars)

keymap
VpsKeymapEnum

Set KVM keyboard layout on VPS Cloud. Reboot your VPS after change

Valuesfrus
lockStatus
read-only
LockStatus

A structure describing characteristics of a VPS lock status

memoryLimit
read-only
integer
—
model
read-only
Model

A structure describing characteristics of a VPS model

monitoringIpBlocks
read-only
ipBlock[]

Ip blocks for OVH monitoring servers

name
read-only
string
—
netbootMode
VpsNetbootEnum

Reboot your VPS 'Cloud' after change, VPS 'Classic/LowLat' will reboot automatically. Credentials for rescue mode will be sent by mail

Valuesdistantlocalrescue
offerType
read-only
VpsOfferEnum

All offers a VPS can have

Valuesbeta-classicclassiccloudcloudramgame-classiclowlatssd
slaMonitoring
boolean
—
state
read-only
VpsStateEnum

All states a VPS can be in

Valuesbackupinginstallingmaintenancerebootingrescuedrunningstoppedstoppingupgrading
vcore
read-only
integer
—
zone
read-only
string
—
zoneType
read-only
ZoneTypeEnum

Zone type

Valueslocalzoneregion

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

Abort ongoing snapshot or autobackupProduction

POST
/1.0/vps/{serviceName}/abortSnapshot

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/abortSnapshot \
  -H "authorization: Bearer $OVH_TOKEN"

Return all active options for the virtual serverDeprecated

GET
/1.0/vps/{serviceName}/activeOptions

Deprecated since Oct 23, 2013, will be removed on Nov 23, 2013 — use /vps/{serviceName}/option instead.

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200VpsOptionEnum[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/activeOptions \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "additionalDisk"]

Get this object propertiesProduction

GET
/1.0/vps/{serviceName}/automatedBackup

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200AutomatedBackupsuccessful operation
rotation
read-only
integer

Number of rotation of your automated backup

schedule
read-only
time

Scheduled time of your daily backup

serviceResourceName
read-only
string

Resource name of the service of your automated backup

state
read-only
BackupStateEnum

Backup state

Valuesdisabledenabled

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/automatedBackup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "rotation": 0, "schedule": "15:04:05", "serviceResourceName": "string", "state": "disabled"}

Backup attached to your VPSProduction

GET
/1.0/vps/{serviceName}/automatedBackup/attachedBackup

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200Attached[]successful operation
access
Infos

A structure describing a backup's access informations

restorePoint
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/automatedBackup/attachedBackup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "access": { "additionalDisk": "string", "nfs": "string", "smb": "string" }, "restorePoint": "2024-01-01T12:00:00Z" }]

Create a VPS.Task that will umount a restored backup on your VPSProduction

POST
/1.0/vps/{serviceName}/automatedBackup/detachBackup

Path parameters

serviceName
required
string

The internal name of your VPS offer

Request body (required)

restorePoint
required
stringdate-time

restorePoint fetched in /vps/{serviceName}/automatedBackup/attachedBackup

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/automatedBackup/detachBackup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Change the scheduled time of your daily backupProduction

POST
/1.0/vps/{serviceName}/automatedBackup/reschedule

Path parameters

serviceName
required
string

The internal name of your VPS offer

Request body (required)

schedule
required
time

New scheduled time of your daily backup

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/automatedBackup/reschedule \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Creates a VPS.Task that will restore the given restorePointProduction

POST
/1.0/vps/{serviceName}/automatedBackup/restore

Path parameters

serviceName
required
string

The internal name of your VPS offer

Request body (required)

changePassword
boolean

Only with restore full on VPS Cloud 2014

restorePoint
required
stringdate-time

Restore Point fetched in /automatedBackup/restorePoints

type
required
RestoreTypeEnum

file: Attach/export restored disk to your current VPS - full: Replace your current VPS by the given restorePoint

Valuesfilefull

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/automatedBackup/restore \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Get available Restore PointsProduction

GET
/1.0/vps/{serviceName}/automatedBackup/restorePoints

Path parameters

serviceName
required
string

The internal name of your VPS offer

Query parameters

state
required
RestoreStateEnum

The state of the restore point

Valuesavailablerestoredrestoring

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/automatedBackup/restorePoints \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "2024-01-01T12:00:00Z"]

Return all models the virtual server can be upgraded toProduction

GET
/1.0/vps/{serviceName}/availableUpgrade

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200Model[]successful operation
availableOptions
VpsOptionEnum[]
—
ValuesadditionalDiskautomatedBackupcpanelftpbackupplesksnapshotstorageveeamwindows
datacenter
string[]
—
disk
integer
—
diskLocationType
VpsDiskLocationTypeEnum

All location type a VPS primary disk can have

Valuesdistantlocal
maximumAdditionnalIp
integer
—
memory
integer
—
name
string
—
offer
string
—
vcore
integer
—
version
VpsVersionEnum

All versions that VPS can have

Values2013v12014v12015v12017v12017v22017v32018v12018v22019v12025v12027v1

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/availableUpgrade \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "availableOptions": [ "additionalDisk" ], "datacenter": [ "string" ], "disk": 0, "diskLocationType": "distant", "maximumAdditionnalIp": 0, "memory": 0, "name": "string", "offer": "string", "vcore": 0, "version": "2013v1" }]

Get this object propertiesProduction

GET
/1.0/vps/{serviceName}/backupftp

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200BackupFtpsuccessful operation
ftpBackupName
read-only
string

The backup FTP server name

quota
read-only
UnitAndValue_long

The disk space available on your backup FTP

readOnlyDate
read-only
stringdate-time

If not-null, gives the date since when your account was set in read-only mode because the quota was exceeded

type
read-only
string

The backup FTP type

usage
read-only
UnitAndValue_long

The disk space currently used on your backup FTP

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/backupftp \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "ftpBackupName": "string", "quota": { "unit": "string", "value": 0 }, "readOnlyDate": "2024-01-01T12:00:00Z", "type": "string", "usage": { "unit": "string", "value": 0 }}

List of IP blocks (and protocols to allow on these blocks) authorized on your backup FTPProduction

GET
/1.0/vps/{serviceName}/backupftp/access

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200ipBlock[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/backupftp/access \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "192.0.2.0/24"]

Create a backup FTP ACLProduction

POST
/1.0/vps/{serviceName}/backupftp/access

Create a backup FTP ACL. Authorizes an IP block on the backup FTP space with the chosen protocols and returns a task. At least one of ftp, nfs and cifs must be enabled; ftp is false when omitted. authorizableBlocks lists the eligible blocks.

Path parameters

serviceName
required
string

The internal name of your VPS offer

Request body (required)

cifs
required
boolean

Whether to allow the CIFS (SMB) protocol for this ACL

ftp
boolean

Whether to allow the FTP protocol for this ACL

ipBlock
required
ipBlock

The IP Block specific to this ACL. It musts belong to your server.

nfs
required
boolean

Whether to allow the NFS protocol for this ACL

Response

200Tasksuccessful operation
changeUuid
read-only
string

UUID of the change linked to this task

comment
read-only
string

Details of this task

doneDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesINFRA_002_VirtualNetworkInterfaceINFRA_002_VirtualNetworkInterface_groupINFRA_002_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_VirtualNetworkInterface_ungroupaddVirtualMacaddWindowSplaFromExistingSerialapplyBackupFtpAclsapplyBackupFtpQuotabypassAntiDDosGamechangePasswordBackupFTPchangeRipeOrgcheckAndReleaseIpcreateBackupFTPcreateOrUpdateRipeOrgcreatePrivateNetworkdisableFirewallenableFirewallgenericMoveFloatingIphardReboothardware_updateipmi/configureSGXmigrateBackupFTPmoveFloatingIpmoveVirtualMacreagregateBlockrebootPower8ToreinstallServerreleaseIpremoveBackupFTPremoveVirtualMacrequestAccessIPMIresetIPMIresetIPMISessiontestIPMIhttptestIPMIpasswordtestIPMIpingvirtualMacAddvirtualMacDelete
lastUpdate
read-only
stringdate-time

last update

needSchedule
read-only
boolean

Whether this task need to be scheduled or not

note
read-only
string

Extra information about this task

plannedInterventionId
read-only
integer

ID of the planned intervention for this task

startDate
read-only
stringdate-time

Task Creation date

status
read-only
TaskStatusEnum

Task status

ValuescancelledcustomerErrordoingdoneinitovhErrortodo
tags
read-only
SafeKeyValueCanBeNull_string[]

Task result tags output

taskId
read-only
integer

the id of the task

ticketReference
read-only
string

Reference of the thread on the support tool

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/backupftp/access \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "changeUuid": "string", "comment": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "INFRA_002_VirtualNetworkInterface", "lastUpdate": "2024-01-01T12:00:00Z", "needSchedule": true, "note": "string", "plannedInterventionId": 0, "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "tags": [ { "key": "string", "value": "string" } ], "taskId": 0, "ticketReference": "string"}

Get a backup FTP ACLProduction

GET
/1.0/vps/{serviceName}/backupftp/access/{ipBlock}

Get a backup FTP ACL. Returns the protocols allowed for the IP block (FTP, NFS, CIFS), whether the rule is applied on the backup FTP space and its last update date.

Path parameters

ipBlock
required
ipBlock

The IP Block specific to this ACL

serviceName
required
string

The internal name of your VPS offer

Response

200BackupFtpAclsuccessful operation
cifs
boolean

Whether to allow the CIFS (SMB) protocol for this ACL

ftp
boolean

Whether to allow the FTP protocol for this ACL

ipBlock
read-only
ipBlock

The IP Block specific to this ACL

isApplied
read-only
boolean

Whether the rule has been applied on the Backup Ftp

lastUpdate
read-only
stringdate-time

Date of the last object modification

nfs
boolean

Whether to allow the NFS protocol for this ACL

Example uses ipBlock = 192.0.2.0/24, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/backupftp/access/{ipBlock} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "cifs": true, "ftp": true, "ipBlock": "192.0.2.0/24", "isApplied": true, "lastUpdate": "2024-01-01T12:00:00Z", "nfs": true}

Update a backup FTP ACLProduction

PUT
/1.0/vps/{serviceName}/backupftp/access/{ipBlock}

Update a backup FTP ACL. Updates the protocols allowed for the IP block: ftp, nfs and cifs. The change is applied asynchronously: isApplied stays false until it is in effect.

Path parameters

ipBlock
required
ipBlock

The IP Block specific to this ACL

serviceName
required
string

The internal name of your VPS offer

Request body (required)

cifs
boolean

Whether to allow the CIFS (SMB) protocol for this ACL

ftp
boolean

Whether to allow the FTP protocol for this ACL

ipBlock
read-only
ipBlock

The IP Block specific to this ACL

isApplied
read-only
boolean

Whether the rule has been applied on the Backup Ftp

lastUpdate
read-only
stringdate-time

Date of the last object modification

nfs
boolean

Whether to allow the NFS protocol for this ACL

Response

200—successful operation

Example uses ipBlock = 192.0.2.0/24, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/backupftp/access/{ipBlock} \
  -H "authorization: Bearer $OVH_TOKEN"

Delete a backup FTP ACLProduction

DELETE
/1.0/vps/{serviceName}/backupftp/access/{ipBlock}

Delete a backup FTP ACL. Revokes the access of the IP block to the backup FTP space and returns a task. The task carries the status of the revocation.

Path parameters

ipBlock
required
ipBlock

The IP Block specific to this ACL

serviceName
required
string

The internal name of your VPS offer

Response

200Tasksuccessful operation
changeUuid
read-only
string

UUID of the change linked to this task

comment
read-only
string

Details of this task

doneDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesINFRA_002_VirtualNetworkInterfaceINFRA_002_VirtualNetworkInterface_groupINFRA_002_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_VirtualNetworkInterface_ungroupaddVirtualMacaddWindowSplaFromExistingSerialapplyBackupFtpAclsapplyBackupFtpQuotabypassAntiDDosGamechangePasswordBackupFTPchangeRipeOrgcheckAndReleaseIpcreateBackupFTPcreateOrUpdateRipeOrgcreatePrivateNetworkdisableFirewallenableFirewallgenericMoveFloatingIphardReboothardware_updateipmi/configureSGXmigrateBackupFTPmoveFloatingIpmoveVirtualMacreagregateBlockrebootPower8ToreinstallServerreleaseIpremoveBackupFTPremoveVirtualMacrequestAccessIPMIresetIPMIresetIPMISessiontestIPMIhttptestIPMIpasswordtestIPMIpingvirtualMacAddvirtualMacDelete
lastUpdate
read-only
stringdate-time

last update

needSchedule
read-only
boolean

Whether this task need to be scheduled or not

note
read-only
string

Extra information about this task

plannedInterventionId
read-only
integer

ID of the planned intervention for this task

startDate
read-only
stringdate-time

Task Creation date

status
read-only
TaskStatusEnum

Task status

ValuescancelledcustomerErrordoingdoneinitovhErrortodo
tags
read-only
SafeKeyValueCanBeNull_string[]

Task result tags output

taskId
read-only
integer

the id of the task

ticketReference
read-only
string

Reference of the thread on the support tool

Example uses ipBlock = 192.0.2.0/24, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/backupftp/access/{ipBlock} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "changeUuid": "string", "comment": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "INFRA_002_VirtualNetworkInterface", "lastUpdate": "2024-01-01T12:00:00Z", "needSchedule": true, "note": "string", "plannedInterventionId": 0, "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "tags": [ { "key": "string", "value": "string" } ], "taskId": 0, "ticketReference": "string"}

Get all IP blocks that can be used in the ACLProduction

GET
/1.0/vps/{serviceName}/backupftp/authorizableBlocks

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200ipBlock[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/backupftp/authorizableBlocks \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "192.0.2.0/24"]

Change your Backup FTP passwordProduction

POST
/1.0/vps/{serviceName}/backupftp/password

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200Tasksuccessful operation
changeUuid
read-only
string

UUID of the change linked to this task

comment
read-only
string

Details of this task

doneDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesINFRA_002_VirtualNetworkInterfaceINFRA_002_VirtualNetworkInterface_groupINFRA_002_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_VirtualNetworkInterface_ungroupaddVirtualMacaddWindowSplaFromExistingSerialapplyBackupFtpAclsapplyBackupFtpQuotabypassAntiDDosGamechangePasswordBackupFTPchangeRipeOrgcheckAndReleaseIpcreateBackupFTPcreateOrUpdateRipeOrgcreatePrivateNetworkdisableFirewallenableFirewallgenericMoveFloatingIphardReboothardware_updateipmi/configureSGXmigrateBackupFTPmoveFloatingIpmoveVirtualMacreagregateBlockrebootPower8ToreinstallServerreleaseIpremoveBackupFTPremoveVirtualMacrequestAccessIPMIresetIPMIresetIPMISessiontestIPMIhttptestIPMIpasswordtestIPMIpingvirtualMacAddvirtualMacDelete
lastUpdate
read-only
stringdate-time

last update

needSchedule
read-only
boolean

Whether this task need to be scheduled or not

note
read-only
string

Extra information about this task

plannedInterventionId
read-only
integer

ID of the planned intervention for this task

startDate
read-only
stringdate-time

Task Creation date

status
read-only
TaskStatusEnum

Task status

ValuescancelledcustomerErrordoingdoneinitovhErrortodo
tags
read-only
SafeKeyValueCanBeNull_string[]

Task result tags output

taskId
read-only
integer

the id of the task

ticketReference
read-only
string

Reference of the thread on the support tool

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/backupftp/password \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "changeUuid": "string", "comment": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "INFRA_002_VirtualNetworkInterface", "lastUpdate": "2024-01-01T12:00:00Z", "needSchedule": true, "note": "string", "plannedInterventionId": 0, "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "tags": [ { "key": "string", "value": "string" } ], "taskId": 0, "ticketReference": "string"}

Change service contactsProduction

POST
/1.0/vps/{serviceName}/changeContact

Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.

Path parameters

serviceName
required
string

The internal name of your VPS offer

Request body (required)

contactAdmin
string

The contact to set as admin contact

contactBilling
string

The contact to set as billing contact

contactTech
string

The contact to set as tech contact

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/changeContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Confirm service terminationProduction

POST
/1.0/vps/{serviceName}/confirmTermination

Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.

Path parameters

serviceName
required
string

The internal name of your VPS offer

Request body (required)

commentary
string

Commentary about your termination request

futureUse
TerminationFutureUseEnum

What next after your termination request

ValuesNOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITOR
reason
TerminationReasonEnum

Reason of your termination request

ValuesFEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORT
token
required
string

The termination token sent by email to the admin contact

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/confirmTermination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Create a snapshot of the Virtual Server if the snapshot option is enabled and if there is no existing snapshotProduction

POST
/1.0/vps/{serviceName}/createSnapshot

Path parameters

serviceName
required
string

The internal name of your VPS offer

Request body (required)

description
string

A textual description for your snapshot

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/createSnapshot \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Get this object propertiesProduction

GET
/1.0/vps/{serviceName}/datacenter

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200Datacentersuccessful operation
country
read-only
CountryEnum

Datacenter ISO country code

Valuesacadaeafagaialamanaoaqarasatauawaxazbabbbdbebfbgbhbibjblbmbnbobqbrbsbtbvbwbybzcacccdcfcgchcickclcmcncocrcscucvcwcxcyczdedjdkdmdodzeceeegeheresetfcfdfifjfkfmfofrfxgagbgdgegfggghgiglgmgngpgqgrgsgtgugwgyhkhmhnhrhthuidieiliminioiqirisitjejmjojpkekgkhkikmknkpkrkwkykzlalblclilklrlsltlulvlymamcmdmemfmgmhmkmlmmmnmompmqmrmsmtmumvmwmxmymznancnenfngninlnonpnrnunzompapepfpgphpkplpmpnprpsptpwpyqaqcrerorsrurwsasbscsdsesgshsisjskslsmsnsosrssstsvsxsysztctdtftgthtjtktltmtntotptrtttvtwtzuaugukumusuyuzvavcvevgvivnvuwewfwsyeytyuzazmzw
longName
read-only
string

Datacenter display name

name
read-only
string

Datacenter name

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/datacenter \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "country": "ac", "longName": "string", "name": "string"}

Disks associated to this virtual serverProduction

GET
/1.0/vps/{serviceName}/disks

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/disks \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get this object propertiesProduction

GET
/1.0/vps/{serviceName}/disks/{id}

Path parameters

id
required
integer

Id of the object

serviceName
required
string

The internal name of your VPS offer

Response

200Disksuccessful operation
bandwidthLimit
read-only
integer
—
id
read-only
integer
—
lowFreeSpaceThreshold
integer

The low disk free space threshold in MiB

monitoring
boolean

The monitoring state of this disk

serviceName
read-only
string

Service name

size
read-only
integer
—
state
read-only
StateEnum

Possible states the disk can be in

Valuesconnecteddisconnectedpending
type
read-only
TypeEnum

Possible type a disk can be in

Valuesadditionalprimary

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/disks/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "bandwidthLimit": 0, "id": 0, "lowFreeSpaceThreshold": 0, "monitoring": true, "serviceName": "string", "size": 0, "state": "connected", "type": "additional"}

Alter this object propertiesProduction

PUT
/1.0/vps/{serviceName}/disks/{id}

Path parameters

id
required
integer

Id of the object

serviceName
required
string

The internal name of your VPS offer

Request body (required)

bandwidthLimit
read-only
integer
—
id
read-only
integer
—
lowFreeSpaceThreshold
integer

The low disk free space threshold in MiB

monitoring
boolean

The monitoring state of this disk

serviceName
read-only
string

Service name

size
read-only
integer
—
state
read-only
StateEnum

Possible states the disk can be in

Valuesconnecteddisconnectedpending
type
read-only
TypeEnum

Possible type a disk can be in

Valuesadditionalprimary

Response

200—successful operation

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/disks/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Return many statistics about the disk for a given periodProduction

GET
/1.0/vps/{serviceName}/disks/{id}/monitoring

Path parameters

id
required
integer

Id of the object

serviceName
required
string

The internal name of your VPS offer

Query parameters

period
required
VpsMonitoringPeriodEnum

The period the statistics are fetched for

Valueslastdaylastmonthlastweeklastyeartoday
type
required
StatisticTypeEnum

The type of statistic to be fetched

Valuesmaxused

Response

200VpsTimestampValuesuccessful operation
unit
string
—
values
VpsTimestampValue[]
—

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/disks/{id}/monitoring \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "unit": "string", "values": [ { "timestamp": 0, "value": 0 } ]}

Return many statistics about the disk at that timeProduction

GET
/1.0/vps/{serviceName}/disks/{id}/use

Path parameters

id
required
integer

Id of the object

serviceName
required
string

The internal name of your VPS offer

Query parameters

type
required
StatisticTypeEnum

The type of statistic to be fetched

Valuesmaxused

Response

200UnitAndValue_doublesuccessful operation
unit
string
—
value
number
—

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/disks/{id}/use \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "unit": "string", "value": 0}

Get this object propertiesProduction

GET
/1.0/vps/{serviceName}/distribution

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200Templatesuccessful operation
availableLanguage
read-only
string[]
—
bitFormat
read-only
TemplateBitFormatEnum

Bitness of a VPS template

Values3264
distribution
read-only
string
—
id
read-only
integer
—
locale
read-only
string
—
name
read-only
string
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/distribution \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "availableLanguage": [ "string" ], "bitFormat": 32, "distribution": "string", "id": 0, "locale": "string", "name": "string"}

List available softwares for this template IdProduction

GET
/1.0/vps/{serviceName}/distribution/software

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/distribution/software \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get this object propertiesProduction

GET
/1.0/vps/{serviceName}/distribution/software/{softwareId}

Path parameters

serviceName
required
string

The internal name of your VPS offer

softwareId
required
integer
—

Response

200Softwaresuccessful operation
id
read-only
integer
—
name
read-only
string
—
status
read-only
SoftwareStatusEnum

Available Status for a vps Software

Valuesdeprecatedstabletesting
type
read-only
SoftwareTypeEnum

Available Type for a vps Software

Valuesdatabaseenvironmentwebserver

Example uses serviceName = string, softwareId = 0

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/distribution/software/{softwareId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": 0, "name": "string", "status": "deprecated", "type": "database"}

Return the VPS console URLProduction

POST
/1.0/vps/{serviceName}/getConsoleUrl

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/getConsoleUrl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Images available for this virtual serverBeta

GET
/1.0/vps/{serviceName}/images/available

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/images/available \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get this object propertiesBeta

GET
/1.0/vps/{serviceName}/images/available/{id}

Path parameters

id
required
string

Id of the object

serviceName
required
string

The internal name of your VPS offer

Response

200Imagesuccessful operation
id
read-only
string
—
name
read-only
string
—

Example uses id = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/images/available/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": "string", "name": "string"}

Get this object propertiesBeta

GET
/1.0/vps/{serviceName}/images/current

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200Imagesuccessful operation
id
read-only
string
—
name
read-only
string
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/images/current \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": "string", "name": "string"}

Get the countries you can select for your IPs geolocationProduction

GET
/1.0/vps/{serviceName}/ipCountryAvailable

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200GeolocationEnum[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/ipCountryAvailable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "at"]

Ips associated to this virtual serverProduction

GET
/1.0/vps/{serviceName}/ips

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200ip[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/ips \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "192.0.2.0"]

Get this object propertiesProduction

GET
/1.0/vps/{serviceName}/ips/{ipAddress}

Path parameters

ipAddress
required
ip

The effective ip address of the Ip object

serviceName
required
string

The internal name of your VPS offer

Response

200Ipsuccessful operation
gateway
read-only
ip

IP address (e.g., 192.0.2.0)

geolocation
read-only
GeolocationEnum

Geolocation of the IP Address

Valuesataubecachczdeesfifrgbieinitltnlplptsgukus
ipAddress
read-only
ip

The effective ip address of the Ip object

macAddress
read-only
string
—
reverse
string
—
type
read-only
TypeEnum

Ip types on a VPS

Valuesadditionalprimary
version
read-only
IpVersionEnum

Ip versions

Valuesv4v6

Example uses ipAddress = 192.0.2.0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/ips/{ipAddress} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "gateway": "192.0.2.0", "geolocation": "at", "ipAddress": "192.0.2.0", "macAddress": "string", "reverse": "string", "type": "additional", "version": "v4"}

Alter this object propertiesProduction

PUT
/1.0/vps/{serviceName}/ips/{ipAddress}

Path parameters

ipAddress
required
ip

The effective ip address of the Ip object

serviceName
required
string

The internal name of your VPS offer

Request body (required)

gateway
read-only
ip

IP address (e.g., 192.0.2.0)

geolocation
read-only
GeolocationEnum

Geolocation of the IP Address

Valuesataubecachczdeesfifrgbieinitltnlplptsgukus
ipAddress
read-only
ip

The effective ip address of the Ip object

macAddress
read-only
string
—
reverse
string
—
type
read-only
TypeEnum

Ip types on a VPS

Valuesadditionalprimary
version
read-only
IpVersionEnum

Ip versions

Valuesv4v6

Response

200—successful operation

Example uses ipAddress = 192.0.2.0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/ips/{ipAddress} \
  -H "authorization: Bearer $OVH_TOKEN"

Release a given Ip (Additional Ip)Production

DELETE
/1.0/vps/{serviceName}/ips/{ipAddress}

Path parameters

ipAddress
required
ip

The effective ip address of the Ip object

serviceName
required
string

The internal name of your VPS offer

Response

200—successful operation

Example uses ipAddress = 192.0.2.0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/ips/{ipAddress} \
  -H "authorization: Bearer $OVH_TOKEN"

Return metrics token to query prometheus clusterProduction

GET
/1.0/vps/{serviceName}/metricsToken

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200MetricsTokensuccessful operation
endpoint
string
—
token
stringpassword
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/metricsToken \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "endpoint": "string", "token": "string"}

Get information on a possible migration of a VPS 2016 to VPS 2020Deprecated

GET
/1.0/vps/{serviceName}/migration2016

Deprecated since Apr 1, 2022, will be removed on May 1, 2022 — use /vps/{serviceName}/migration2018 instead.

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200VPS2016to2020successful operation
currentPlan
string

VPS current plan code

datacenter
DatacenterEnum

Datacenter of the migration

ValuesBHSDEGRASBGSGPSYDUKWAW
date
stringdate-time

Migration start date

newPlan
string

New VPS plan code after migration

options
OptionMapping2016[]

Mapping of VPS options from VPS 2016 to VPS 2020

product
string

VPS product

status
StatusEnum

Status of the migration task

ValuesavailablenotAvailableongoingplannedtoPlan

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/migration2016 \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "currentPlan": "string", "datacenter": "BHS", "date": "2024-01-01T12:00:00Z", "newPlan": "string", "options": [ { "currentPlan": "string", "newPlan": "string", "options": [ { "currentPlan": "string", "newPlan": "string", "product": "string" } ], "product": "string" } ], "product": "string", "status": "available"}

Schedule the migration of a VPS 2016 to VPS 2020Deprecated

POST
/1.0/vps/{serviceName}/migration2016

Deprecated since Apr 1, 2022, will be removed on May 1, 2022 — use /vps/{serviceName}/migration2018 instead.

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/migration2016 \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Get information on a possible migration of a VPS 2016/2018 to VPS 2020Beta

GET
/1.0/vps/{serviceName}/migration2018

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200VPS2018to2020successful operation
datacenter
DatacenterEnum

Datacenter of the migration

ValuesBHSDEGRASBGSGPSYDUKWAW
date
stringdate-time

Migration start date

plans
VPS2018to2020Plan[]

List of available plans to migrate

status
StatusEnum

Status of the migration task

ValuesavailablenotAvailableongoingplannedtoPlan

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/migration2018 \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "datacenter": "BHS", "date": "2024-01-01T12:00:00Z", "plans": [ { "currentPlan": "string", "newPlan": "string", "options": [ { "currentPlan": "string", "newPlan": "string", "options": [ { "currentPlan": null, "newPlan": null, "product": null } ], "product": "string" } ], "product": "string" } ], "status": "available"}

Schedule the migration of a VPS 2016/2018 to VPS 2020Beta

POST
/1.0/vps/{serviceName}/migration2018

Path parameters

serviceName
required
string

The internal name of your VPS offer

Request body (required)

newPlan
required
string

Choosen plan for migration

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/migration2018 \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Return all models for the range of the virtual serverProduction

GET
/1.0/vps/{serviceName}/models

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200Model[]successful operation
availableOptions
VpsOptionEnum[]
—
ValuesadditionalDiskautomatedBackupcpanelftpbackupplesksnapshotstorageveeamwindows
datacenter
string[]
—
disk
integer
—
diskLocationType
VpsDiskLocationTypeEnum

All location type a VPS primary disk can have

Valuesdistantlocal
maximumAdditionnalIp
integer
—
memory
integer
—
name
string
—
offer
string
—
vcore
integer
—
version
VpsVersionEnum

All versions that VPS can have

Values2013v12014v12015v12017v12017v22017v32018v12018v22019v12025v12027v1

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/models \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "availableOptions": [ "additionalDisk" ], "datacenter": [ "string" ], "disk": 0, "diskLocationType": "distant", "maximumAdditionnalIp": 0, "memory": 0, "name": "string", "offer": "string", "vcore": 0, "version": "2013v1" }]

Return many statistics about the virtual machine for a given periodProduction

GET
/1.0/vps/{serviceName}/monitoring

Path parameters

serviceName
required
string

The internal name of your VPS offer

Query parameters

period
required
VpsMonitoringPeriodEnum

The period the statistics are fetched for

Valueslastdaylastmonthlastweeklastyeartoday
type
required
VpsStatisticTypeEnum

The type of statistic to be fetched

Valuescpu:iowaitcpu:maxcpu:nicecpu:syscpu:usedcpu:usermem:maxmem:usednet:rxnet:tx

Response

200VpsTimestampValuesuccessful operation
unit
string
—
values
VpsTimestampValue[]
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/monitoring \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "unit": "string", "values": [ { "timestamp": 0, "value": 0 } ]}

Return the necessary informations to open a VNC connection to your VPSProduction

POST
/1.0/vps/{serviceName}/openConsoleAccess

Path parameters

serviceName
required
string

The internal name of your VPS offer

Request body (required)

protocol
VncProtocolEnum

The console protocol you want

ValuesVNCVNCOverWebSocket

Response

200Vncsuccessful operation
host
string
—
password
stringpassword
—
port
integer
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/openConsoleAccess \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "host": "string", "password": "string", "port": 0}

List of VPS optionsProduction

GET
/1.0/vps/{serviceName}/option

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200VpsOptionEnum[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/option \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "additionalDisk"]

Get this object propertiesProduction

GET
/1.0/vps/{serviceName}/option/{option}

Path parameters

option
required
VpsOptionEnum

The option name

ValuesadditionalDiskautomatedBackupcpanelftpbackupplesksnapshotstorageveeamwindows
serviceName
required
string

The internal name of your VPS offer

Response

200Optionsuccessful operation
option
read-only
VpsOptionEnum

The option name

ValuesadditionalDiskautomatedBackupcpanelftpbackupplesksnapshotstorageveeamwindows
state
read-only
VpsOptionStateEnum

The state of the option

Valuesreleasedsubscribed

Example uses option = additionalDisk, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/option/{option} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "option": "additionalDisk", "state": "released"}

Release an option attached to this VPS (deprecated)Deprecated

DELETE
/1.0/vps/{serviceName}/option/{option}

Deprecated since Dec 22, 2023, will be removed on Dec 25, 2026.

Releases an option from the VPS. This call is deprecated.

Path parameters

option
required
VpsOptionEnum

Option

ValuesadditionalDiskautomatedBackupcpanelftpbackupplesksnapshotstorageveeamwindows
serviceName
required
string

Service name

Query parameters

deleteNow
boolean

Delete option now, don't wait for expiration

Response

200—successful operation

Example uses option = additionalDisk, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/option/{option} \
  -H "authorization: Bearer $OVH_TOKEN"

Request a reboot of the machineProduction

POST
/1.0/vps/{serviceName}/reboot

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/reboot \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Reinstall the virtual serverBeta

POST
/1.0/vps/{serviceName}/rebuild

Path parameters

serviceName
required
string

The internal name of your VPS offer

Request body (required)

doNotSendPassword
boolean

If asked, the installation password will NOT be sent (only if sshKey defined)

imageId
required
string

Id of the vps.Image fetched in /images list

installRTM
boolean

If asked, RTM will be installed on your VPS

postInstallScript
string

Bash script run once on first boot after reinstall

publicSshKey
string

Public SSH key to pre-install on your VPS

sshKey
string

SSH key name to pre-install on your VPS (name from /me/sshKey)

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/rebuild \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Reinstall the virtual serverProduction

POST
/1.0/vps/{serviceName}/reinstall

Path parameters

serviceName
required
string

The internal name of your VPS offer

Request body (required)

doNotSendPassword
boolean

If asked, the installation password will NOT be sent (only if sshKey defined)

language
string

Distribution language. default : en

publicSshKey
string

Public SSH key to pre-install on your VPS

softwareId
integer[]

Id of the vps.Software type fetched in /template/{id}/software

sshKey
string[]

SSH key names to pre-install on your VPS (name from /me/sshKey)

templateId
required
integer

Id of the vps.Template fetched in /templates list

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/reinstall \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

List of secondary dns domain nameProduction

GET
/1.0/vps/{serviceName}/secondaryDnsDomains

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/secondaryDnsDomains \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Add a domain on secondary DNSProduction

POST
/1.0/vps/{serviceName}/secondaryDnsDomains

Path parameters

serviceName
required
string

The internal name of your VPS offer

Request body (required)

domain
required
string

The domain to add

ip
ipv4

IPv4 address (e.g., 192.0.2.0)

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/secondaryDnsDomains \
  -H "authorization: Bearer $OVH_TOKEN"

Get details about a secondary DNS domainProduction

GET
/1.0/vps/{serviceName}/secondaryDnsDomains/{domain}

Path parameters

domain
required
string

Domain on slave server

serviceName
required
string

The internal name of your VPS offer

Response

200SecondaryDNSsuccessful operation
creationDate
read-only
stringdate-time
—
dns
read-only
string

Secondary DNS server

domain
read-only
string

Domain on slave server

ipMaster
ipv4

Master IPv4 address

Example uses domain = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/secondaryDnsDomains/{domain} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "dns": "string", "domain": "string", "ipMaster": "192.0.2.0"}

Update IP address targeted by a domain on secondary DNSProduction

PUT
/1.0/vps/{serviceName}/secondaryDnsDomains/{domain}

Path parameters

domain
required
string

Domain on slave server

serviceName
required
string

The internal name of your VPS offer

Request body (required)

creationDate
read-only
stringdate-time
—
dns
read-only
string

Secondary DNS server

domain
read-only
string

Domain on slave server

ipMaster
ipv4

Master IPv4 address

Response

200—successful operation

Example uses domain = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/secondaryDnsDomains/{domain} \
  -H "authorization: Bearer $OVH_TOKEN"

Remove domain on a secondary DNSProduction

DELETE
/1.0/vps/{serviceName}/secondaryDnsDomains/{domain}

Path parameters

domain
required
string

Domain on slave server

serviceName
required
string

The internal name of your VPS offer

Response

200—successful operation

Example uses domain = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/secondaryDnsDomains/{domain} \
  -H "authorization: Bearer $OVH_TOKEN"

DNS server informationsProduction

GET
/1.0/vps/{serviceName}/secondaryDnsDomains/{domain}/dnsServer

Path parameters

domain
required
string

Domain on slave server

serviceName
required
string

The internal name of your VPS offer

Response

200SecondaryDNSNameServersuccessful operation
hostname
string

the name server

ip
ipv4

IPv4 address (e.g., 192.0.2.0)

ipv6
ipv6

IPv6 address (e.g., 2001:41d0:1:1994::1)

Example uses domain = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/secondaryDnsDomains/{domain}/dnsServer \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "hostname": "string", "ip": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1"}

Secondary nameServer available for your ServerProduction

GET
/1.0/vps/{serviceName}/secondaryDnsNameServerAvailable

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200SecondaryDNSNameServersuccessful operation
hostname
string

the name server

ip
ipv4

IPv4 address (e.g., 192.0.2.0)

ipv6
ipv6

IPv6 address (e.g., 2001:41d0:1:1994::1)

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/secondaryDnsNameServerAvailable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "hostname": "string", "ip": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1"}

Get service informationProduction

GET
/1.0/vps/{serviceName}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationProduction

PUT
/1.0/vps/{serviceName}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

serviceName
required
string

The internal name of your VPS offer

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

Start the process in order to set the root password of the virtual machineProduction

POST
/1.0/vps/{serviceName}/setPassword

Start the process in order to set the root password of the virtual machine. Be careful, in case of Cloud model, a reboot is mandatory.

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/setPassword \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Get this object propertiesProduction

GET
/1.0/vps/{serviceName}/snapshot

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200Snapshotsuccessful operation
creationDate
read-only
stringdate-time
—
description
string
—
id
read-only
string
—
region
read-only
string
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/snapshot \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "description": "string", "id": "string", "region": "string"}

Alter this object propertiesProduction

PUT
/1.0/vps/{serviceName}/snapshot

Path parameters

serviceName
required
string

The internal name of your VPS offer

Request body (required)

creationDate
read-only
stringdate-time
—
description
string
—
id
read-only
string
—
region
read-only
string
—

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/snapshot \
  -H "authorization: Bearer $OVH_TOKEN"

Creates a vps.Task that will delete the SnapshotProduction

DELETE
/1.0/vps/{serviceName}/snapshot

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/snapshot \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Download the snapshotProduction

GET
/1.0/vps/{serviceName}/snapshot/download

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200DownloadSnapshotURLsuccessful operation
size
integer

Snapshot size (bytes)

url
string

URL to download the snapshot

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/snapshot/download \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "size": 0, "url": "string"}

Revert the Virtual Server to this snapshotProduction

POST
/1.0/vps/{serviceName}/snapshot/revert

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/snapshot/revert \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Request the machine to startProduction

POST
/1.0/vps/{serviceName}/start

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/start \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Return monitoring statistics about the virtual machineDeprecated

GET
/1.0/vps/{serviceName}/statistics

Deprecated since Nov 7, 2023, will be removed on Jan 7, 2024.

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200VpsMonitoringStatisticssuccessful operation
cpu
number

Average CPU usage in percentage over the last 24 hours

disk
number

Current disk usage in percentage

memory
number

Average memory usage in percentage over the last 24 hours

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/statistics \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "cpu": 0, "disk": 0, "memory": 0}

Give the status of the services of the main IPProduction

GET
/1.0/vps/{serviceName}/status

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200ServiceStatussuccessful operation
dns
ServiceStatusService

Port and state of a service on an IP

http
ServiceStatusService

Port and state of a service on an IP

https
ServiceStatusService

Port and state of a service on an IP

ping
ServiceStatusStateEnum

Possible states of a service (ping, port)

Valuesdownup
smtp
ServiceStatusService

Port and state of a service on an IP

ssh
ServiceStatusService

Port and state of a service on an IP

tools
ServiceStatusStateEnum

Possible states of a service (ping, port)

Valuesdownup

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/status \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "dns": { "port": 0, "state": "down" }, "http": { "port": 0, "state": "down" }, "https": { "port": 0, "state": "down" }, "ping": "down", "smtp": { "port": 0, "state": "down" }, "ssh": { "port": 0, "state": "down" }, "tools": "down"}

Request the machine to stopProduction

POST
/1.0/vps/{serviceName}/stop

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/stop \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Tasks associated to this virtual serverProduction

GET
/1.0/vps/{serviceName}/tasks

Path parameters

serviceName
required
string

The internal name of your VPS offer

Query parameters

state
TaskStateEnum

Filter the value of state property (=)

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
TaskTypeEnum

Filter the value of type property (=)

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/tasks \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get this object propertiesProduction

GET
/1.0/vps/{serviceName}/tasks/{id}

Path parameters

id
required
integer

Id of the object

serviceName
required
string

The internal name of your VPS offer

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/tasks/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Templates available for this virtual serverProduction

GET
/1.0/vps/{serviceName}/templates

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/templates \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get this object propertiesProduction

GET
/1.0/vps/{serviceName}/templates/{id}

Path parameters

id
required
integer

Id of the object

serviceName
required
string

The internal name of your VPS offer

Response

200Templatesuccessful operation
availableLanguage
read-only
string[]
—
bitFormat
read-only
TemplateBitFormatEnum

Bitness of a VPS template

Values3264
distribution
read-only
string
—
id
read-only
integer
—
locale
read-only
string
—
name
read-only
string
—

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/templates/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "availableLanguage": [ "string" ], "bitFormat": 32, "distribution": "string", "id": 0, "locale": "string", "name": "string"}

List available softwares for this template IdProduction

GET
/1.0/vps/{serviceName}/templates/{id}/software

Path parameters

id
required
integer

Id of the object

serviceName
required
string

The internal name of your VPS offer

Response

200integer[]successful operation

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/templates/{id}/software \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get this object propertiesProduction

GET
/1.0/vps/{serviceName}/templates/{id}/software/{softwareId}

Path parameters

id
required
integer

Id of the object

serviceName
required
string

The internal name of your VPS offer

softwareId
required
integer
—

Response

200Softwaresuccessful operation
id
read-only
integer
—
name
read-only
string
—
status
read-only
SoftwareStatusEnum

Available Status for a vps Software

Valuesdeprecatedstabletesting
type
read-only
SoftwareTypeEnum

Available Type for a vps Software

Valuesdatabaseenvironmentwebserver

Example uses id = 0, serviceName = string, softwareId = 0

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/templates/{id}/software/{softwareId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": 0, "name": "string", "status": "deprecated", "type": "database"}

Request service terminationProduction

POST
/1.0/vps/{serviceName}/terminate

Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Return many statistics about the virtual machine at that timeDeprecated

GET
/1.0/vps/{serviceName}/use

Deprecated since Jul 31, 2023, will be removed on Oct 1, 2023 — use /vps/{serviceName}/monitoring instead.

Path parameters

serviceName
required
string

The internal name of your VPS offer

Query parameters

type
required
VpsStatisticTypeEnum

The type of statistic to be fetched

Valuescpu:iowaitcpu:maxcpu:nicecpu:syscpu:usedcpu:usermem:maxmem:usednet:rxnet:tx

Response

200UnitAndValue_doublesuccessful operation
unit
string
—
value
number
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/use \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "unit": "string", "value": 0}

Get this object propertiesProduction

GET
/1.0/vps/{serviceName}/veeam

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200Veeamsuccessful operation
backup
read-only
boolean

Backup state

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/veeam \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "backup": true}

Veeam restore points for the VPSProduction

GET
/1.0/vps/{serviceName}/veeam/restorePoints

Path parameters

serviceName
required
string

The internal name of your VPS offer

Query parameters

creationTime
stringdate-time

Filter the value of creationTime property (like)

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/veeam/restorePoints \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get this object propertiesProduction

GET
/1.0/vps/{serviceName}/veeam/restorePoints/{id}

Path parameters

id
required
integer

Id of the object

serviceName
required
string

The internal name of your VPS offer

Response

200RestorePointsuccessful operation
creationTime
read-only
stringdate-time

The restore point's creation time

id
read-only
integer

The restore point's id

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/veeam/restorePoints/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationTime": "2024-01-01T12:00:00Z", "id": 0}

Creates a VPS.Task that will restore the given restorePointProduction

POST
/1.0/vps/{serviceName}/veeam/restorePoints/{id}/restore

Path parameters

id
required
integer

Id of the object

serviceName
required
string

The internal name of your VPS offer

Request body (required)

changePassword
boolean

(Full only) Change the restored VPS root password when done

export
ExportTypeEnum

(Except full) The export method for your restore - defaults to both

Valuesnfssmb
full
required
boolean

Replace your current VPS by the restorePoint

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/veeam/restorePoints/{id}/restore \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}

Get this object propertiesProduction

GET
/1.0/vps/{serviceName}/veeam/restoredBackup

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200RestoredBackupsuccessful operation
accessInfos
read-only
Infos

Backup access informations

restorePointId
read-only
integer

The restore point id

state
read-only
StateEnum

The restored backup state

Valuesmountedrestoringunmountedunmounting

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/veeam/restoredBackup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "accessInfos": { "nfs": "string", "smb": "string" }, "restorePointId": 0, "state": "mounted"}

Creates a VPS.Task that will unmount the backupProduction

DELETE
/1.0/vps/{serviceName}/veeam/restoredBackup

Path parameters

serviceName
required
string

The internal name of your VPS offer

Response

200Tasksuccessful operation
date
read-only
stringdate-time
—
id
read-only
integer
—
progress
read-only
integer
—
state
read-only
TaskStateEnum

All states a VPS task can be in

ValuesblockedcancelleddoingdoneerrorpausedtodowaitingAck
type
read-only
TaskTypeEnum

All type a VPS task can be

ValuesaddVeeamBackupJobchangeRootPasswordcreateSnapshotdeleteSnapshotdeliverVmgetConsoleUrlinternalTaskmigrateopenConsoleAccessprovisioningAdditionalIpreOpenVmrebootVmreinstallVmremoveVeeamBackuprescheduleAutoBackuprestoreFullVeeamBackuprestoreVeeamBackuprestoreVmrevertSnapshotsetMonitoringsetNetbootstartVmstopVmupgradeVm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/veeam/restoredBackup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "state": "blocked", "type": "addVeeamBackupJob"}